> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Inspections

> List QC inspections with pagination, filtering, and search.



## OpenAPI

````yaml /api/openapi-cutmake.json get /api/v1/qc
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/qc:
    get:
      tags:
        - Quality Control
      summary: List Inspections
      description: List QC inspections with pagination, filtering, and search.
      operationId: list_inspections_api_v1_qc_get
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 10
            title: Limit
        - name: production_order_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Production Order Id
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
        - name: sort
          in: query
          required: false
          schema:
            type: string
            default: '-created_at'
            title: Sort
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedInspectionsResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PaginatedInspectionsResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/QCInspectionResponse'
          type: array
          title: Data
        pagination:
          $ref: '#/components/schemas/routers__external__qc__PaginationInfo'
      type: object
      required:
        - data
        - pagination
      title: PaginatedInspectionsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    QCInspectionResponse:
      properties:
        id:
          type: string
          title: Id
        orgId:
          type: string
          title: Orgid
        productionOrderId:
          type: string
          title: Productionorderid
        inspectionDate:
          type: string
          title: Inspectiondate
        inspectorName:
          type: string
          title: Inspectorname
        inspectionType:
          type: string
          title: Inspectiontype
        totalInspected:
          type: integer
          title: Totalinspected
        totalPassed:
          type: integer
          title: Totalpassed
        totalDefective:
          type: integer
          title: Totaldefective
        defectRate:
          type: number
          title: Defectrate
        status:
          type: string
          title: Status
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        createdAt:
          type: string
          title: Createdat
        updatedAt:
          type: string
          title: Updatedat
        defects:
          items:
            $ref: '#/components/schemas/QCDefectResponse'
          type: array
          title: Defects
          default: []
      type: object
      required:
        - id
        - orgId
        - productionOrderId
        - inspectionDate
        - inspectorName
        - inspectionType
        - totalInspected
        - totalPassed
        - totalDefective
        - defectRate
        - status
        - createdAt
        - updatedAt
      title: QCInspectionResponse
    routers__external__qc__PaginationInfo:
      properties:
        page:
          type: integer
          title: Page
        limit:
          type: integer
          title: Limit
        total:
          type: integer
          title: Total
        totalPages:
          type: integer
          title: Totalpages
        hasNext:
          type: boolean
          title: Hasnext
        hasPrev:
          type: boolean
          title: Hasprev
      type: object
      required:
        - page
        - limit
        - total
        - totalPages
        - hasNext
        - hasPrev
      title: PaginationInfo
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    QCDefectResponse:
      properties:
        id:
          type: string
          title: Id
        defectType:
          type: string
          title: Defecttype
        defectDescription:
          type: string
          title: Defectdescription
        severity:
          type: string
          title: Severity
        quantity:
          type: integer
          title: Quantity
        location:
          anyOf:
            - type: string
            - type: 'null'
          title: Location
        imageUrl:
          anyOf:
            - type: string
            - type: 'null'
          title: Imageurl
        createdAt:
          type: string
          title: Createdat
      type: object
      required:
        - id
        - defectType
        - defectDescription
        - severity
        - quantity
        - createdAt
      title: QCDefectResponse

````